Package tigase.db

# Enum Class AuthRepository.AccountStatus

java.lang.Object
java.lang.Enum<AuthRepository.AccountStatus>
tigase.db.AuthRepository.AccountStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthRepository.AccountStatus>`, `Constable`

Enclosing interface:
  AuthRepository

public static enum AuthRepository.AccountStatus extends Enum<AuthRepository.AccountStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `active`
  `banned`
  `disabled`
  `paid`
  `pending`
  `spam`
  `system`
  `undefined_active`
  `undefined_inactive`
  `vip`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthRepository.AccountStatus`
  `byValue(int value)`
  `int`
  `getValue()`
  `boolean`
  `isInactive()`
  `static AuthRepository.AccountStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthRepository.AccountStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### active

    public static final AuthRepository.AccountStatus active

  - ### disabled

    public static final AuthRepository.AccountStatus disabled

  - ### banned

    public static final AuthRepository.AccountStatus banned

  - ### pending

    public static final AuthRepository.AccountStatus pending

  - ### system

    public static final AuthRepository.AccountStatus system

  - ### vip

    public static final AuthRepository.AccountStatus vip

  - ### paid

    public static final AuthRepository.AccountStatus paid

  - ### spam

    public static final AuthRepository.AccountStatus spam

  - ### undefined_active

    public static final AuthRepository.AccountStatus undefined_active

  - ### undefined_inactive

    public static final AuthRepository.AccountStatus undefined_inactive

- ## Method Details

  - ### values

    public static AuthRepository.AccountStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthRepository.AccountStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isInactive

    public boolean isInactive()

  - ### byValue

    public static AuthRepository.AccountStatus byValue(int value)

  - ### getValue

    public int getValue()